using Exferia_Aplicacion.General;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Exferia_Aplicacion.Modelos_Listado_Filtros;
using System.Runtime.CompilerServices;
using Exferia_General;
using Exferia_KairosPRO._1_Modelos;
using static Exferia_Aplicacion.General.Enumerados;
using Exferia_KairosPRO.General;

namespace Exferia_KairosPRO._4_Vistas.Listados
{
    public class ABS_Listado_KRSS_Pausas : ABS_Listado
    {
        //Variables privadas
        private Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

        //Constructor
        public ABS_Listado_KRSS_Pausas()
        {
            Rellenar_Columnas();
        }

        private void Rellenar_Columnas()
        {
            //id
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_Pausas_Listado_Modelo.id), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_KRSS_Pausas_Listado_Modelo.id), "id", G_ENUM_TIPOSDATOS.LONG, true, 0, false, false, true, false, "", null));

            //idEmpleado
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_Pausas_Listado_Modelo.idEmpleado), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_KRSS_Pausas_Listado_Modelo.idEmpleado), "idEmpleado", G_ENUM_TIPOSDATOS.LONG, true, 0, false, false, true, false, "", null));

            //codigoCliente
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_Pausas_Listado_Modelo.codigoCliente), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_KRSS_Pausas_Listado_Modelo.codigoCliente), "Codigo Cliente", G_ENUM_TIPOSDATOS.LONG, true, 0, false, false, false, false, "", null));

            //fechaHora
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_Pausas_Listado_Modelo.fechaHora), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_KRSS_Pausas_Listado_Modelo.fechaHora), "fechaHora", G_ENUM_TIPOSDATOS.HORACOMPLETA,false, 150, true, true, true, false, "", null));

            //Observaciones
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_Pausas_Listado_Modelo.observaciones), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_KRSS_Pausas_Listado_Modelo.observaciones), "Observaciones", G_ENUM_TIPOSDATOS.TEXT, false, 250, true, false, false, false, "", null));

            //InicioFin
            INTERNO_Filtro_Opciones_Modelo mdl_INTERNO_Filtro_Opciones_Modelo_ENTRADASALIDA = new INTERNO_Filtro_Opciones_Modelo();
            mdl_INTERNO_Filtro_Opciones_Modelo_ENTRADASALIDA.MULTISELECCION = true;
            mdl_INTERNO_Filtro_Opciones_Modelo_ENTRADASALIDA.LISTADO = new List<INTERNO_Filtro_Opciones_Listado_Modelo>();
            mdl_INTERNO_Filtro_Opciones_Modelo_ENTRADASALIDA.LISTADO.Add(new INTERNO_Filtro_Opciones_Listado_Modelo(Variables_KairosPRO.G_STR_FICHAJE_FIN_NOMBRECOMPLETO, Variables_KairosPRO.G_STR_FICHAJE_ENTRADA));
            mdl_INTERNO_Filtro_Opciones_Modelo_ENTRADASALIDA.LISTADO.Add(new INTERNO_Filtro_Opciones_Listado_Modelo(Variables_KairosPRO.G_STR_FICHAJE_INICIO_NOMBRECOMPLETO, Variables_KairosPRO.G_STR_FICHAJE_SALIDA));
            mdl_INTERNO_Filtro_Opciones_Modelo_ENTRADASALIDA.TIPO = 1;
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_Pausas_Listado_Modelo.EntradaSalida_Texto), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_KRSS_Pausas_Listado_Modelo.EntradaSalida_Texto), "Inicio/Fin", G_ENUM_TIPOSDATOS.RELACIONADA, false, 100, true, false, true, false, "", null));

        }

        public override List<dynamic> LISTADO()
        {
            return Registros;
        }

        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return Datos_Generales.PRV_Opciones_Buscar_Detalles(Variables.G_STR_OPCION_KRSS_PAUSAS);
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return Variables.G_STR_OPCION_KRSS_PAUSAS;
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            return g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return nameof(INTERNO_KRSS_Pausas_Listado_Modelo.fechaHora);
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "0";
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }
        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }

    }
}
